> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile

> Update the current user's profile (full_name, avatar_url).



## OpenAPI

````yaml https://api.vellaro.io/openapi.json patch /api/v1/users/me
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/users/me:
    patch:
      tags:
        - users
      summary: Update Profile
      description: Update the current user's profile (full_name, avatar_url).
      operationId: update_profile_api_v1_users_me_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProfileUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app__core__responses__ApiResponse_UserOut___2
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ProfileUpdate:
      properties:
        full_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Full Name
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
      type: object
      title: ProfileUpdate
      description: Fields the customer can update on their own profile.
    app__core__responses__ApiResponse_UserOut___2:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/app__modules__users__schemas__UserOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[UserOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    app__modules__users__schemas__UserOut:
      properties:
        id:
          type: string
          title: Id
        email:
          type: string
          title: Email
        full_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Full Name
        role:
          type: string
          title: Role
        is_active:
          type: boolean
          title: Is Active
        is_verified:
          type: boolean
          title: Is Verified
        totp_enabled:
          type: boolean
          title: Totp Enabled
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
      type: object
      required:
        - id
        - email
        - full_name
        - role
        - is_active
        - is_verified
        - totp_enabled
        - avatar_url
      title: UserOut
      description: Public user representation returned from profile endpoints.
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````